#!/bin/sh
#	A script to launch (interpret) HFS822-server emulating the CGI
#			environment
#
# This script runs a HFS822-server.pl CGI as if it was called by a Web
# server, in response to a GET/HEAD request submitted by a user agent.
#
# Synopsis
#	hfs822-emul.sh method VFS-path
# Where 'method' is either GET or HEAD, and VFS-path is the a URI path.
# For example,
#	hfs822-emul.sh HEAD /DeepestRoot/`pwd`/test-message/
#	hfs822-emul.sh GET /DeepestRoot/`pwd`/test-message/
#	hfs822-emul.sh HEAD /DeepestRoot/`pwd`/test-message/body
#	hfs822-emul.sh GET /DeepestRoot/`pwd`/test-message/subject
#
#
# That is, this script sets up the standard CGI environment and
# interprets HFS822-server.pl.
# BTW, the user can add to the CGI environment below by declaring
# (exporting) shell variables before calling this script
#
# $Id: hfs822-emul.sh,v 1.1 1999/05/06 23:19:31 oleg Exp oleg $

if [ $# -ne 2 ]; then
  echo "Two parameters have to be specified: a request method "
  echo "and a relative URI path. See comments in this script"
  exit 4
fi
request_method=$1
URI=$2

set -a			# Export all the following variables
REMOTE_HOST=10.1.1.1
HTTP_HOST=10.1.10.1:80
GATEWAY_INTERFACE=CGI/1.1
SERVER_SOFTWARE=Netscape-Communications/1.12
SERVER_URL=http://day-1
REQUEST_METHOD=$request_method
SERVER_NAME=day-1
HTTP_USER_AGENT=VFS-client/1.2
SCRIPT_NAME=/cgi-bin/admin/HFS822-server.pl
SERVER_PORT=80
SERVER_PROTOCOL=HTTP/1.0
REMOTE_ADDR=10.1.1.1
TZ=GMT0
PATH_INFO=$URI
PATH_TRANSLATED=/w/data/$PATH_INFO

./HFS822-server.pl
echo ">>>>> End"

